Name:          libschroedinger
Version:       1.0.11
Release:       5mamba
Summary:       Library for decoding and encoding video in the Dirac format
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://diracvideo.org/
Source:        http://diracvideo.org/download/schroedinger/schroedinger-%{version}.tar.gz
License:       LGPL,MIT,MPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: liborc-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
Provides:      %{name}-gstreamer
Obsoletes:     %{name}-gstreamer < 1.0.11-4mamba

%description
Library for decoding and encoding video in the Dirac format.
It is implemented in ANSI C and optimized through the us of liboil.
libschro is written as a collaboration between the BBC Research and Development, David Schleef and Fluendo.

Applications that can use %{name}:
 * transcode 	
 * mplayer 	
 * FFMpeg
To solve problems compilation see here:
http://diracvideo.org/download/dirac-research/ffmpeg-patches/

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      liborc-devel

%description devel
Library for decoding and encoding video in the Dirac format.
This package contains static libraries and header files needed for development.

#%package gstreamer
#Group:         Development/Libraries
#Summary:       Static libraries and headers for %{name}
#Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
#
#%description gstreamer
#Library for decoding and encoding video in the Dirac format. It is implemented
#in ANSI C and optimized through the us of liboil. libschro is written as a
#collaboration between the BBC Research and Development, David Schleef and
#Fluendo.
#
#This package contains gstreamer static libraries files need for development.

%package docs
Summary:       %{name} documentation
Group:         Documentation

%description docs
%{name} documentation.

%debug_package

%prep
%setup -q -n schroedinger-%{version}
sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," config.sub

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libschroedinger-1.0.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/schroedinger-1.0
%dir %{_includedir}/schroedinger-1.0/schroedinger
%{_includedir}/schroedinger-1.0/schroedinger/*.h
%{_libdir}/libschroedinger-1.0.a
%{_libdir}/libschroedinger-1.0.so
%{_libdir}/pkgconfig/schroedinger-1.0.pc
%doc NEWS TODO

#%files gstreamer
#%defattr(-,root,root)
##%{_libdir}/gstreamer-0.10/libgstschro.a
##%{_libdir}/gstreamer-0.10/libgstschro.la
##%{_libdir}/gstreamer-0.10/libgstschro.so

%files docs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/schroedinger
%{_datadir}/gtk-doc/html/schroedinger/*.html
%{_datadir}/gtk-doc/html/schroedinger/*.sgml
%{_datadir}/gtk-doc/html/schroedinger/*.png
%{_datadir}/gtk-doc/html/schroedinger/schroedinger.devhelp2
%{_datadir}/gtk-doc/html/schroedinger/style.css

%changelog
* Mon May 06 2024 Automatic Build System <autodist@openmamba.org> 1.0.11-5mamba
- rebuilt without .la files

* Fri Dec 04 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.11-4mamba
- rebuilt with debug package and aarch64 build fix

* Tue Jul 08 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.11-3mamba
- rebuild to update .la files

* Wed Jun 26 2013 openmamba WebBuild System <webbuild@openmamba.org> 1.0.11-2mamba
- the devel package requires liborc-devel

* Sat Aug 11 2012 Automatic Build System <autodist@mambasoft.it> 1.0.11-1mamba
- automatic version update by autodist

* Fri Mar 11 2011 Automatic Build System <autodist@mambasoft.it> 1.0.10-1mamba
- automatic update by autodist

* Tue Jul 27 2010 Automatic Build System <autodist@mambasoft.it> 1.0.9-1mamba
- automatic update by autodist

* Tue Oct 13 2009 Automatic Build System <autodist@mambasoft.it> 1.0.8-1mamba
- automatic update by autodist

* Sat May 16 2009 Automatic Build System <autodist@mambasoft.it> 1.0.7-1mamba
- automatic update by autodist

* Wed Apr 08 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.6-1mamba
- automatic update by autodist

* Wed Aug 20 2008 gil <puntogil@libero.it> 1.0.5-1mamba
- added packagea: docs, gstreamer
